Skip to content

List Sellers GET ​

URL: https://api.painelalter.com/api/seller/getAll

Returns all sellers from the stores the token user has access to, with the seller status in each store.

Response Fields ​

FieldTypeDescription
alias_idstringSeller alias ID.
nameSellerstringSeller name.
isVezActiveinteger1 if the seller takes part in AlterVez, 0 otherwise.
isActiveinteger1 if the seller is active in at least one store, 0 otherwise.
storesarraySeller status in each store.
vez_assigned_storesarrayAlias IDs of the AlterVez stores the seller is enrolled in.

Response Example ​

json
[
  {
    "alias_id": "SELL-001",
    "nameSeller": "Ana",
    "isVezActive": 1,
    "isActive": 1,
    "stores": [
      {
        "store_alias_id": "STORE-10",
        "isActive": 1,
        "onboardUtcDatetime": "2026-01-01T00:00:00",
        "dismissalLocalDate": null
      },
      {
        "store_alias_id": "STORE-11",
        "isActive": 0,
        "onboardUtcDatetime": null,
        "dismissalLocalDate": "2026-09-01"
      }
    ],
    "vez_assigned_stores": ["STORE-10"]
  }
]